pangomm: Pango::FontFace Class Reference

pangomm 2.46.5

Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Pango::FontFace Class Reference

A Pango::FontFace is used to represent a group of fonts with the same family, slant, weight, width, but varying sizes. More...

`#include <pangomm/fontface.h>`

Inheritance diagram for Pango::FontFace:
[legend]

## Public Member Functions
| FontFace (FontFace && src) noexcept
FontFace & | operator= (FontFace && src) noexcept
| ~FontFace () noexcept override
PangoFontFace * | gobj ()
| Provides access to the underlying C GObject.
const PangoFontFace * | gobj () const
| Provides access to the underlying C GObject.
PangoFontFace * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
FontDescription | describe () const
| Returns the family, style, variant, weight and stretch of a Pango::FontFace.
Glib::ustring | get_name () const
| Gets a name representing the style of this face among the different faces in the Pango::FontFamily for the face.
Glib::ArrayHandle< int > | list_sizes () const
| List the available sizes for a font.
bool | is_synthesized () const
| Returns whether a Pango::FontFace is synthesized by the underlying font rendering engine from another face, perhaps by shearing, emboldening, or lightening it.
Glib::RefPtr< FontFamily > | get_family ()
| Gets the Pango::FontFamily that face belongs to.
Glib::RefPtr< const FontFamily > | get_family () const
| Gets the Pango::FontFamily that face belongs to.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Pango::FontFace > | wrap (PangoFontFace * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Pango::FontFace is used to represent a group of fonts with the same family, slant, weight, width, but varying sizes.

## Constructor & Destructor Documentation

## ◆ FontFace()

Pango::FontFace::FontFace | ( | FontFace && | src | ) |
| noexcept

## ◆ ~FontFace()

Pango::FontFace::~FontFace | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ describe()

FontDescription Pango::FontFace::describe | ( |  | ) | const

Returns the family, style, variant, weight and stretch of a Pango::FontFace.

The size field of the resulting font description will be unset.

Returns
  A Pango::FontDescription holding the description of the face.

## ◆ get_family() [1/2]

Glib::RefPtr< FontFamily > Pango::FontFace::get_family | ( |  | ) |

Gets the Pango::FontFamily that face belongs to.

Since pangomm 1.46

Returns
  The Pango::FontFamily.

## ◆ get_family() [2/2]

Glib::RefPtr< const FontFamily > Pango::FontFace::get_family | ( |  | ) | const

Gets the Pango::FontFamily that face belongs to.

Since pangomm 1.46

Returns
  The Pango::FontFamily.

## ◆ get_name()

Glib::ustring Pango::FontFace::get_name | ( |  | ) | const

Gets a name representing the style of this face among the different faces in the Pango::FontFamily for the face.

This name is unique among all faces in the family and is suitable for displaying to users.

Returns
  The face name for the face. This string is owned by the face object and must not be modified or freed.

## ◆ get_type()

GType Pango::FontFace::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

PangoFontFace * Pango::FontFace::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const PangoFontFace * Pango::FontFace::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

PangoFontFace * Pango::FontFace::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ is_synthesized()

bool Pango::FontFace::is_synthesized | ( |  | ) | const

Returns whether a Pango::FontFace is synthesized by the underlying font rendering engine from another face, perhaps by shearing, emboldening, or lightening it.

Since pangomm 1.18

Returns
  Whether face is synthesized.

## ◆ list_sizes()

Glib::ArrayHandle< int > Pango::FontFace::list_sizes | ( |  | ) | const

List the available sizes for a font.

This is only applicable to bitmap fonts. For scalable fonts this returns an empty array. The sizes returned are in Pango units and are sorted in ascending order.

## ◆ operator=()

FontFace & Pango::FontFace::operator= | ( | FontFace && | src | ) |
| noexcept

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Pango::FontFace > wrap | ( | PangoFontFace * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.